JavaScript
import Profound from '@profoundai/client';
const client = new Profound({
apiKey: process.env['PROFOUND_API_KEY'], // This is the default and can be omitted
});
const response = await client.organizations.categories.createPrompts(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
{
prompts: [
{
language: 'language',
platforms: [{}],
prompt: 'x',
regions: [{}],
topic: {},
},
],
},
);
console.log(response.dry_run);import os
from profound import Profound
client = Profound(
api_key=os.environ.get("PROFOUND_API_KEY"), # This is the default and can be omitted
)
response = client.organizations.categories.create_prompts(
category_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
prompts=[{
"language": "language",
"platforms": [{}],
"prompt": "x",
"regions": [{}],
"topic": {},
}],
)
print(response.dry_run)curl --request POST \
--url https://api.tryprofound.com/v1/org/categories/{category_id}/prompts \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"prompts": [
{
"prompt": "<string>",
"topic": {
"id": "<string>",
"name": "<string>"
},
"language": "<string>",
"regions": [
{
"id": "<string>",
"name": "<string>"
}
],
"platforms": [
{
"id": "<string>",
"name": "<string>"
}
],
"tags": [],
"personas": [],
"analysis_types": [],
"prompt_type": "<string>",
"asset": {
"id": "<string>",
"name": "<string>"
}
}
],
"dry_run": false
}
'
{
"dry_run": true,
"created": 0,
"topics_created": 0,
"tags_created": 0,
"prompts": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Prompts
Create prompts
Create one or more prompts in a category. Topics and tags are auto-created if referenced by name and not yet existing. Use dry_run to preview without persisting.
POST
/
v1
/
org
/
categories
/
{category_id}
/
prompts
JavaScript
import Profound from '@profoundai/client';
const client = new Profound({
apiKey: process.env['PROFOUND_API_KEY'], // This is the default and can be omitted
});
const response = await client.organizations.categories.createPrompts(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
{
prompts: [
{
language: 'language',
platforms: [{}],
prompt: 'x',
regions: [{}],
topic: {},
},
],
},
);
console.log(response.dry_run);import os
from profound import Profound
client = Profound(
api_key=os.environ.get("PROFOUND_API_KEY"), # This is the default and can be omitted
)
response = client.organizations.categories.create_prompts(
category_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
prompts=[{
"language": "language",
"platforms": [{}],
"prompt": "x",
"regions": [{}],
"topic": {},
}],
)
print(response.dry_run)Authorizations
APIKeyHeaderBearerAuth
Path Parameters
Body
application/json
Response
Successful Response
Response from creating prompts.
Whether this was a dry run (no changes persisted).
Number of prompts created.
Number of new topics created.
Number of new tags created.
List of created (or previewed) prompts with resolved references.
Show child attributes
Show child attributes
Was this page helpful?
⌘I